/*
 * @(#) $Id: CompositeMenuAppShell.java 8768 2011-11-23 15:48:49Z laslovd $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package at.spardat.xma.appshell;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Shell;

import at.spardat.xma.component.ComponentClient;
import at.spardat.xma.page.PageClient;

/**
 * Base class for AppSehells that uses non-drop-down menus in a composite (like an SWT Tree).  
 * @author s4709  
 * @since 4.1.0
 */
public abstract class CompositeMenuAppShell extends ContextAppShell {

    /**
     * Initializes an AppShell.
     *
     * @param component the Component containing the DialogPage.
     * @param stateless indicating if this page is stateless on the server.
     * @param style The SWT-Style for the Shell of the DialogPage.
     * @throws IllegalArgumentException if component is null.
     */
    public CompositeMenuAppShell ( ComponentClient component, boolean stateless, int style ) {
        super(component,stateless,style);
    }

    /**
     * Initializes an AppShell inside a given Component.
     *
     * @param component the Component containing the DialogPage.
     * @param parentShell the Shell which shall be the parent of the Shell of the DialogPage.
     * @param style The SWT-Style for the Shell of the DialogPage.
     * @param stateless indicating if this page is stateless on the server.
     * @throws IllegalArgumentException if component is null.
     */
    public CompositeMenuAppShell(ComponentClient component, Shell parentShell, boolean stateless, int style) {
        super(component,parentShell,stateless,style);
    }

    /**
     * Initializes an AppShell inside the same Component as the parent PageClient.
     *
     * @param parent the PageClient calling this DialogPage.
     * @param stateless indicating if this page is stateless on the server.
     * @param style The SWT-Style for the Shell of the DialogPage.
     */
    public CompositeMenuAppShell(PageClient parent, boolean stateless, int style) {
        super(parent,stateless,style);
    }
    
    /**
     * Get the swt-composite for holding the menu items.
     * It will be filled completely with a tree containing the menu items.
     * @return the composite for the menu.
     */
    abstract protected Composite getMenuComp ();

}
