/*******************************************************************************
 * Copyright (c) 2003, 2010 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id:  $
package at.spardat.xma.mdl.paging;

/**
 * Implementors of this interface are called automatically when the user presses
 * the <code>customize</code> button on the associated paging control.
 * You register an implementation of this interface using {@link IPagingWMClient#setCustomizer(Customizer)}.
 * The {@link PagingControlClient} must be constructed with the flag {@link PagingControlClient#SHOW_CUSTOMIZE}
 * to contain the <code>customize</code> button.
 *
 * @author gub
 * @since 2.3.0
 */
public interface Customizer {
    /**
     * Customize the table, called when the user clicks on the <code>customize</code> button
     * of the {@link PagingControlClient}.
     */
    public void customize();
}
