/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

//@(#) $Id: SerializerFactoryServer.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.serializer;

import at.spardat.properties.XProperties;
import at.spardat.xma.RuntimeDefaults;
import at.spardat.xma.session.XMASession;

/**
 * Server side SerializerFactory.
 * 
 * @author YSD, 12.02.2005  
 */
public class SerializerFactoryServer extends SerializerFactory {

    /**
     * @see at.spardat.xma.serializer.SerializerFactory#getSerializationMode0(at.spardat.xma.session.XMASession)
     */
    public String getSerializationMode0 (XMASession session) {
        XProperties         node = XProperties.getNodeOfPackage("xma.runtime");
        return node.get(PROP_KEY, RuntimeDefaults.Serializer);
    }
    
    /**
     * @see at.spardat.xma.serializer.SerializerFactory#isAtServer()
     */
    public boolean isAtServer() {
        return true;
    }
}
