/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

//@(#) $Id: TaggedAsciiSerializer.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.serializer;

import java.io.IOException;


/**
 * Ascii Serializer where primitive values are written in format tag=value,
 *
 * @author MS, Feb 12, 2005 9:20:10 AM
 */
public class TaggedAsciiSerializer extends AsciiSerializer {

    /**
     * Constructor
     *
     * @param isAtServer is this serializer running at the server side?
     * @param bufferSize initial buffer size
     */
    public TaggedAsciiSerializer (boolean isAtServer, int bufferSize) {
        super (isAtServer, bufferSize);
    }

    /**
     * @see at.spardat.xma.serializer.AsciiSerializer#writeStringEscaped(java.lang.String, java.lang.String)
     */
    protected void writeStringEscaped(String label, String s) {
        super.writeStringEscaped (null, label);
        super.writeStringNoEscape("=");
        super.writeStringEscaped (null, s);
    }

    /* (non-Javadoc)
     * @see at.spardat.xma.serializer.AsciiSerializer#writeSerializedBytes(java.lang.String, byte[])
     */
    public void writeSerializedBytes (String label, byte[] bytes) throws IOException {
        super.writeStringEscaped (null, label);
        super.writeStringNoEscape("=");
        super.writeSerializedBytes (label, bytes);
    }

}
